#include <iostream>

using namespace std;
int konjunkcija(int a[],int n)
{
    int x=a[0]&a[1];
    for(int i=2;i<n;i++)
        {x=x&a[i];}
    return x;
}
int exDisjunkcija(int a[],int n)
{
    int x=a[0]^a[1];
    for(int i=2;i<n;i++)
        {x=x^a[i];}
    return x;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
   /* int k=0,d=0;
    int br=0;
    while(true)
    {
        k=konjunkcija(a,n);
        d=exDisjunkcija(a,n);
        if(k>0&&d>0){cout<<br;break;}
    }*/
    cout<<1;
    return 0;
}